// [ blocks.cpp :::::::::::::::::::::: ] //
// 

/* *************************************
   *     MetalSlug enhancement (c)	   *
   *     -------------------------     *
   *								   *
   *************************************
*/

// memo:
/* 
 :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
	blocks in the world
 :::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::::
*/

#include "C_Blocks.h"

Blocks::Blocks(float x, float y, float z, int length, int width, int height, int blockNum, int type)
{
	pos.x = x; pos.y = y; pos.z = z;
	this->length = length;
	this->width = width;
	this->height = height;
	this->type = type;
	this->blockNum = blockNum;
}

void Blocks::drawBlock()
{
		glPushMatrix();
		glPushName(blockNum);
		glTranslatef(pos.x, pos.y, pos.z);


		if(type == 40) glScalef(length, height, width);
		switch(type)
		{
		case 40:
			MD_BLOCK();
			break;
		case 41:
			MD_CAC.Draw();
			break;
		case 42:
			MD_F.Draw();
			break;
		case 43:
			MD_HE.Draw();
			break;
		case 44:
			MD_PARK.Draw();
			break;
		case 45:
			MD_S.Draw();
			break;
		case 46:
			MD_STOP.Draw();
			break;
		case 47:
			MD_ZHAO.Draw();
			break;
		}
		glPopName();
		glPopMatrix();


}

void Blocks::drawBoundingBox()
{
	glPushMatrix();
	glPushName(blockNum);
		glTranslatef(pos.x, pos.y+height/2, pos.z);
		glScalef(length, height, width);
		glutSolidCube(1);
	glPopName();
	glPopMatrix();
}
	