#ifndef _TEXTUREDRAWING_H
#define _TEXTUREDRAWING_H

#include "HT_Global.h"
#include "HT_Control.h"
#include "Textures.h"


// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
//																				 gloabl variables
// menu textures
extern COGLTexture T_intro, T_menu, T_loading, T_THANKS;

extern COGLTexture T_p, T_pMASK;
extern COGLTexture T_Gan, T_GanR;
extern COGLTexture T1, T2, T3, T4, T5, T6, T7, T8, T9, T0;
extern COGLTexture B1, B2, B3, B4, B5, B6, B7, B8;
extern COGLTexture B1m, B2m, B3m, B4m, B5m, B6m, B7m, B8m;
extern COGLTexture TH_BF, TH_BH, TH_D, TH_K;
// particle 1 texture :: Bullet

// particle 2 texture :: dust

// particle 2 texture :: small explosion

// particle 2 texture :: big explosion



// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
//																					functions
void loadAllTextures();
void loadMenuTextures();
void loadHUDTextures();
void loadPTextures();
void loadNumTextures();

// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
//																			global helper functions
void OrthoMode();
void PerspectiveMode();
void drawTexturedQuad(int startx, int starty, int endx, int endy);
void drawTexturedQuad_f(int startx, int starty, int endx, int endy);

#endif