#pragma once

#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include <fstream>
#include <vector>
#include <crtdbg.h>
using namespace std;

#include "3DS_ObjectLoaderStructures.h"
#include "3ds.h"
#include "Textures.h"

#define MAX_TEXTURES 100			// The maximum amount of textures to load

class C3DS_ObjectLoader
{
public:
	C3DS_ObjectLoader(void);
	~C3DS_ObjectLoader(void);
	void Init(char *filename);
	void Draw(void);

	GLuint		m_Texture[MAX_TEXTURES];	// hold texture ID's
	GLuint		m_ObjectDL;					// object display list ID

	CLoad3DS	m_Load3ds;
	t3DModel	m_3DModel;
};
