
#include "textureDrawing.h"


// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
//																					functions
void loadAllTextures();

// :::::::::::::::::::::::::::::::::::::::::::::: [ menu ]
COGLTexture T_intro, T_menu, T_loading, T_THANKS;
COGLTexture T_p, T_pMASK;
COGLTexture T_Gan, T_GanR;
COGLTexture T1, T2, T3, T4, T5, T6, T7, T8, T9, T0;
COGLTexture B1, B2, B3, B4, B5, B6, B7, B8;
COGLTexture B1m, B2m, B3m, B4m, B5m, B6m, B7m, B8m;
COGLTexture TH_BF, TH_BH, TH_D, TH_K;

void loadMenuTextures()
{
	T_intro.LoadFromFile("Intro.bmp");
	T_menu.LoadFromFile("Menu.bmp");
	T_loading.LoadFromFile("mask.bmp");
	T_THANKS.LoadFromFile("THANKYOU.bmp");
}
void loadHUDTextures()
{
	T_Gan.LoadFromFile("HUD_GAN.bmp");
	T_GanR.LoadFromFile("HUD_GANR.bmp");
}
void loadPTextures()
{
	T_p.LoadFromFile("f_plasma.bmp");
	T_pMASK.LoadFromFile("f_plasma_mask.bmp");
	B1.LoadFromFile("rlboom_1.bmp");
	B2.LoadFromFile("rlboom_2.bmp");
	B3.LoadFromFile("rlboom_3.bmp");
	B4.LoadFromFile("rlboom_4.bmp");
	B5.LoadFromFile("rlboom_5.bmp");
	B6.LoadFromFile("rlboom_6.bmp");
	B7.LoadFromFile("rlboom_7.bmp");
	B8.LoadFromFile("rlboom_8.bmp");
	B1m.LoadFromFile("rlboom_1_mask.bmp");
	B2m.LoadFromFile("rlboom_2_mask.bmp");
	B3m.LoadFromFile("rlboom_3_mask.bmp");
	B4m.LoadFromFile("rlboom_4_mask.bmp");
	B5m.LoadFromFile("rlboom_5_mask.bmp");
	B6m.LoadFromFile("rlboom_6_mask.bmp");
	B7m.LoadFromFile("rlboom_7_mask.bmp");
	B8m.LoadFromFile("rlboom_8_mask.bmp");
	TH_BF.LoadFromFile("HUD_BF.bmp");
	TH_BH.LoadFromFile("HUD_BH.bmp");
	TH_D.LoadFromFile("HUD_D.bmp");
	TH_K.LoadFromFile("HUD_K.bmp");
}
void loadNumTextures()
{
	T1.LoadFromFile("1m.bmp");
	T2.LoadFromFile("2m.bmp");
	T3.LoadFromFile("3m.bmp");
	T4.LoadFromFile("4m.bmp");
	T5.LoadFromFile("5m.bmp");
	T6.LoadFromFile("6m.bmp");
	T7.LoadFromFile("7m.bmp");
	T8.LoadFromFile("8m.bmp");
	T9.LoadFromFile("9m.bmp");
	T0.LoadFromFile("0m.bmp");
}




// - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
//																			global helper functions
void OrthoMode()
{	
	glDisable(GL_DEPTH_TEST);
	glDisable(GL_LIGHTING);
	glMatrixMode(GL_PROJECTION);
	glPushMatrix();
	glLoadIdentity();
	glOrtho( 0, n_ScreenX,n_ScreenY,0, -1, 1);
	glMatrixMode(GL_MODELVIEW);
	glLoadIdentity();
}
void PerspectiveMode()
{
	glEnable(GL_DEPTH_TEST);
	glEnable(GL_LIGHTING);
	glMatrixMode(GL_PROJECTION);
	glPopMatrix();
	glMatrixMode(GL_MODELVIEW);
}
void drawTexturedQuad(int startx, int starty, int endx, int endy)
{	
	glBegin( GL_QUADS );
	glTexCoord2f(0.0f, 1.0f);
	glVertex3f(startx,starty,-1);

	glTexCoord2f(0.0f, 0.0f);
	//glColor3ub( 0,0,0);
	glVertex3f( startx,endy,-1);

	glTexCoord2f(1.0f, 0.0f);
	glVertex3f( endx, endy,-1);

	glTexCoord2f(1.0f, 1.0f);
	//glColor3ub( 255,0,0);
	glVertex3f( endx, starty,-1 );

	glEnd();
}
void drawTexturedQuad_f(int startx, int starty, int endx, int endy)
{	
	glBegin( GL_QUADS );
	glTexCoord2f(0.0f, 1.0f);
	glVertex3f(startx,starty,0);

	glTexCoord2f(0.0f, 0.0f);
	//glColor3ub( 0,0,0);
	glVertex3f( startx,endy,0);

	glTexCoord2f(1.0f, 0.0f);
	glVertex3f( endx, endy,0);

	glTexCoord2f(1.0f, 1.0f);
	//glColor3ub( 255,0,0);
	glVertex3f( endx, starty ,0);

	glEnd();
}